none
.NET framework 3.5... instalarlo son conexion a internet RRS feed

  • Pregunta

  • hola...

    la verdad es que no se si este tema va aqui... en el subforo de servicepacks... pero creo que es el sitio mas indicado...

    bueno...la cuestion es que necesito instalar el .net framework 3.5... pero cuando bajola version redistributable, el programa de instalacion me pide conexion a internet. si es redistributable ¿no deberian estar todos los archivos ya incluidos en el paquete?... entonces ¿para que rayos pide conectarse a internet???

    la cuestion es... que yo tengo mi sistema OPTIMIZADO PARA AUDIO... con una configuracion optimizada para audio... de modo que no voy a usar ese sistema para nada mas que para trabajar con audio... pero algunos programas que utilizo necesitan las librerias .net 3.5.

    el problema viene cuando instalo... que necesito conectar a internet... y obviamente no puedo (NI QUIERO) hacerlo... porque eso implicaria instalar proteccion (CORTAFUEGOS Y ANTIVIRUS) y dar de alta algunos servicios tengo deshabilitados en el sistema, y me veria obligado a "ensuciar" una instalacion que es a priori perfecta para mi.

    la cues tion es: ¿¿¿DONDE ENCUENTRO UN PAQUETE .NET QUE NO NECESITE CONEXION A INTERNET A LA HORA DE INSTALARLO???

    espero que alguien pueda darme una solucion... y no solo a mi, sino tambien a muchas personas que nos encontramos en la misma tesitura.

    muchas gracias.... un saludo.
    jueves, 22 de octubre de 2009 6:19

Respuestas

Todas las respuestas

  • Hola jl coco,

    Esta es el paquete de instalación que utilizaste? http://download.microsoft.com/download/6/0/f/60fc5854-3cb8-4892-b6db-bd4f42510f28/dotnetfx35.exe

    Con este paquete podés hacer la instalación offline. Si en algún momento te indica que va a descargar algo, no prestes atención y continuá. En realidad lo que hace es utilizar los archivos ya incluidos en el mismo (no descarga nada, en realidad).

    Saludos!
    jueves, 22 de octubre de 2009 13:01
  • Hola jl coco,

    Esta es el paquete de instalación que utilizaste? http://download.microsoft.com/download/6/0/f/60fc5854-3cb8-4892-b6db-bd4f42510f28/dotnetfx35.exe

    Con este paquete podés hacer la instalación offline. Si en algún momento te indica que va a descargar algo, no prestes atención y continuá. En realidad lo que hace es utilizar los archivos ya incluidos en el mismo (no descarga nada, en realidad).

    Saludos!


    hola pablitoms... la cuestion es que he usado tanto ese que tu me indicas. como el otro paquete que hay (que creo recordar pesa 231 megas aprox). y los dos en instalaciones limpias... es decir, sin haber instalado primero uno y al ver que no funcionaba despues el otro, para que no haya dudas

    al final de la instalacion tira un error... y no aparece instalado en "agregar quitar programas".

    tampoco se pueden instalar programas que necesiten el .net.

    otra cosa... hay un par de aplicaciones que una vez instaladas, al abrirlas sale un prompt que dice que que "la aplicacion no puede iniciarse porque su configuracion es incorrecta. reinstalar la aplicacion podria solucionar el problema". imagino que esto podria estar relacionado con el .net... aunque mirando en la web he visto que hay algo llamado "sync framework" que puede ser que cause el problema.

    bien... tendrian algo que ver el sync frame work y el .net???

    perdon si he liado el asunto del .net con otra historia acerca del sync framework... pero es que ya no se para donde tirar.

    con cada nuevo soft que adquiero se van necesitando mas cosas para el xp que hace interminables las instalaciones y puestas a punto del sistema...

    en fin... gracias por responder pablitoms... y a ver si me echais un cable

    un saludo.
    jueves, 22 de octubre de 2009 14:12
  • Hola jl coco,

    Dudo que el Sync Framework pueda tener algo que ver, ya que es algo más específico (salvo que el problema lo tenga alguna aplicación en particular que requiera su uso, claro).

    Exactamente qué error aparece cuando intentás instalar el .NET Framework? La versión 2.0 la tenés instalada?

    Saludos!
    viernes, 23 de octubre de 2009 21:39
  • Hola jl coco,

    Dudo que el Sync Framework pueda tener algo que ver, ya que es algo más específico (salvo que el problema lo tenga alguna aplicación en particular que requiera su uso, claro).

    Exactamente qué error aparece cuando intentás instalar el .NET Framework? La versión 2.0 la tenés instalada?

    Saludos!


    hola pablito... la verdad es que no tengo instalada ninguna version de .net. lo comprobe con everest, porque no tenia claro si en el servicepack3 (que es el que le puse a la instalacion) venia incluido .net, y el resultado fue que no habia .net framwork en mi maquina

    como comentaba... el sistema lo tengo optimizado para audio, y algunas aplicaciones si que requieren de .net.

    al intentar instalar la barra de progreso indica que faltan unos pocos megas para completar la instalacion... y que por eso la aplicacion ha de conectarse a internt para descargar esos archivos que faltan. pues bien... la aplicacion hace los 5 intentos de conexion de rigor, y como no tengo ese sistema con conexion a internet (como dije es un sistema de trabajo, no necesita internet) acaba diciendo que la instalacion no se puede llevar a cabo.

    la cuestion es que siendo un paquete redistributable de .net... ¿¿¿no deberian estar todos los archivos incluidos en el???

    como tu me aconsejaste, le deje que hiciera los intentos de conxion, esperando que no pasara nada y que instalara a pesar de no conectar a internet, pero no lo hace, no instala.

    trate de extraer los archivos (ya ves que crea dos carpetas de ¿temporales? durante la instalacion?... pero tampoco...no se puede instalar, porque siempre pide conexion a internet.

    la cuestion es que he tratado de instalar tanto con la version redistributable (197megas), como con la otra que no es redistributable (231megas); y en ninguno de los dos casos se puede istalar si no es con conexion a internet.

    imagino que sera algun error de programacion nen la aplicacion...no???

    por lo que he leido googleando, es un problema que tiene mucha gente, asi que desde microsoft deberian haber ya puesto solucion a esto... porque hay gente que no tiene internet, o que ,por la razon que sea no necesita internet en su sistema y,por ello se ve obligada a prescindir de .net -y por ende de ciertas aplicaciones que necesitan estas librerias-.

    muchisimas gracias por responder pablito... a ver si entre todos encontramos una solucion a esto.
    sábado, 24 de octubre de 2009 2:05
  • En realidad, esta versión --> http://www.microsoft.com/downloads/details.aspx?displaylang=es&FamilyID=d0e5dea7-ac26-4ad7-b68c-fe5076bba986 , ya tiene incluídos el .NET Framework 2.0 SP2 y 3.0 SP2, por lo que en teoría no necesitás instalarlos antes (aunque no incluye ni el 1.0 y 1.1, estas son versiones que utilizan muy pocos programas, por lo que podés prescindir de ellas sin problema).

    De cualquier manera, antes de instalar el paquete de la versión 3.5 SP1, probá instalando los siguientes paquetes (no estoy seguro, pero quizá sean estos los que esté intentando descargar durante la instalación):
    http://www.microsoft.com/downloads/details.aspx?displaylang=es&FamilyID=993c0bcf-3bcf-4009-be21-27e85e1857b1
    y
    http://www.microsoft.com/downloads/details.aspx?displaylang=es&FamilyID=b8dcffdd-e3a5-44cc-8021-7649fd37ffee

    Espero te sea de ayuda.

    Saludos!
    sábado, 24 de octubre de 2009 16:20
  • En realidad, esta versión --> http://www.microsoft.com/downloads/details.aspx?displaylang=es&FamilyID=d0e5dea7-ac26-4ad7-b68c-fe5076bba986 , ya tiene incluídos el .NET Framework 2.0 SP2 y 3.0 SP2, por lo que en teoría no necesitás instalarlos antes (aunque no incluye ni el 1.0 y 1.1, estas son versiones que utilizan muy pocos programas, por lo que podés prescindir de ellas sin problema).

    De cualquier manera, antes de instalar el paquete de la versión 3.5 SP1, probá instalando los siguientes paquetes (no estoy seguro, pero quizá sean estos los que esté intentando descargar durante la instalación):
    http://www.microsoft.com/downloads/details.aspx?displaylang=es&FamilyID=993c0bcf-3bcf-4009-be21-27e85e1857b1
    y
    http://www.microsoft.com/downloads/details.aspx?displaylang=es&FamilyID=b8dcffdd-e3a5-44cc-8021-7649fd37ffee

    Espero te sea de ayuda.

    Saludos!


    hola de nuevo pablito...

    voy a hacer esta noche esto que me comentas para ver si al final se puede instalar.

    el resultado lo posteare aqui...

    y si al final puedo instalarlo, pues pondre los pasos seguidos para que asi sirva a quien lo pueda necesitar...
    domingo, 25 de octubre de 2009 18:36
  • Yo he tenido un problema similar, al tuyo. Solo que para mi no era problema el poner la computadora a la red y permitirle al Net Framework que se conectara. También me hice la misma pregunta que tu: "si bajé la versión completa ¿Por que necesita conectarse a Internet?". La respuesta a esta pregunta resultó ser que el net framework tiene "prerequisitos" para poder instalarse. El programa verifica si la computadora cumple con todo lo necesario para poder instalarse; si hace falta algo, lo baja de la red y lo instala también. De otra forma no puede continuar.

    En ésta liga hablan al respecto: http://blogs.msdn.com/astebner/archive/2008/07/13/8729636.aspx (En Inglés). Se menciona una lista de paquetes y características q deben estar presentes al momento de instalar. (Entre esos paquetes se encuentran los que pablitoms menciona).

    Si tu instalación del S.O. es limpia como lo indicas, con mas razón habrá mas de un programa que haga falta. Por desgracia el único remedio que veo de momento sería que buscaras manualmente lo que haga falta y lo instales por separado.

    Si alguien mas tiene un remedio mejor, por favor hagalo saber

    Saludos
    miércoles, 4 de noviembre de 2009 20:29
  • hola... la alternativa ha sido utilizar el programa nlite y añadir todas las actualizaciones disponibles hasta el momento, incluidos los frameworks .net, y al final asi quedo una instalacion perfecta.

    saludos.
    jueves, 19 de noviembre de 2009 2:16
  • hola... la alternativa ha sido utilizar el programa nlite y añadir todas las actualizaciones disponibles hasta el momento, incluidos los frameworks .net, y al final asi quedo una instalacion perfecta.

    saludos.
    ...nlite mete mas cosas de las que debe... tu verás...

    Un saludo,

    Untitled 1

    Jose Manuel Tella Llop news://jmtella.com

    jueves, 19 de noviembre de 2009 21:45